<div class="acariaempire dice-roll roll-message">
    <div class="flexrow roll-message-actor-line">
        <img class="roll-message-source-img" src="{{context.actor.portrait}}"/>

        <div class="flexcol roll-message-description">
            <p class="title">{{context.actor.actionName}}</p>
            {{#if context.actor.actionFlavorDisplayed}}
                <p>{{context.actor.actionFlavor}}</p>
            {{/if}}
        </div>
    </div>

    <div class="flexrow roll-summary">
        {{#each roll.summaryIcons as |face|}}
            <img class="summary-icon" src="{{face}}">
        {{/each}}
    </div>

    <div class="dice-formula {{roll.successClass}} ae-formula">{{roll.successLabel}}</div>

    <div class="flexcol roll-consequences" style="display: none;">
        {{#each cards as |card|}}
        <div class="flexrow consequence">
            <img class="portrait" src="{{card.portrait}}"/>
            <p>{{card.desc}}</p>
        </div>
        {{/each}}

        {{#each spell as |line|}}
            <div class="flexrow consequence {{line.css}}"
                {{#each line.dataset as |data|}} 
                    data-{{data.key}}="{{data.value}}" 
                {{/each}}
            >
                <img class="portrait" src="{{line.icon}}"/>
                {{#if line.hasOverlay}}
                    <img class="portrait-overlay" src="{{line.overlay}}"/>
                {{/if}}
                <p>{{line.title}}</p>
            </div>
        {{/each}}

        {{#each melody as |line|}}
            <div class="flexrow consequence">
                <img class="portrait" src="{{line.icon}}"/>
                <p>{{line.desc}}</p>
            </div>
        {{/each}}

        {{#each circle as |line|}}
            <div class="flexrow consequence {{line.css}}">
                <img class="portrait" src="{{line.icon}}"/>
                <p>{{line.title}}</p>
            </div>
        {{/each}}

        {{#each moreData as |line|}}
            <div class="flexrow consequence {{line.css}}" data-shortcut="{{line.shortcut}}" data-child="{{line.shortcutChild}}">
                {{#if line.hasIcon}}
                    <img class="portrait" src="{{line.icon}}"/>
                {{/if}}
                {{#if line.hasOverlay}}
                    <img class="portrait-overlay" src="{{line.overlay}}"/>
                {{/if}}
                <p>{{line.name}}</p>
            </div>
        {{/each}}

        {{#each communion as |line|}}
        <div class="flexrow consequence">
            <img class="portrait" src="{{line.icon}}"/>
            <p>{{line.title}}</p>
        </div>
        {{/each}}

        {{#each targets as |line|}}
            <div class="flexrow consequence gm-replace" data-type="{{line.type}}" data-target-id="{{line.target.id}}" data-target-token="{{line.target.tokenId}}" data-amount="{{line.detail.amount}}" data-element="{{line.detail.element}}">
                <img class="portrait" src="{{line.target.icon}}"/>
                <img class="portrait-minor-overlay" src="{{line.detail.icon}}"/>
                <p>{{line.desc}}</p>
            </div>
        {{/each}}

    </div>


    <div class="roll-detail" style="display: none;">

        <div class="flexcol sumup">
            <h3>{{localize 'AEDICES.chat.rollDetail.difficulty.title'}}</h3>
            <table>
                <tr>
                    <td style="width: 50%">{{localize 'AEDICES.chat.rollDetail.difficulty.baseScore'}}</td>
                    <td style="width: 50%">{{localize 'AEDICES.chat.rollDetail.difficulty.successStep'}}</td>
                </tr>
                <tr>
                    <td>
                        <div class="flexrow icon-line">
                            <span>{{context.roll.actorScore}}</span>
                            <img class="roll-message-token" src="systems/acariaempire/resources/interaction/tokens/action_score.png">
                            <span>vs</span>
                            <span class="canBeHidden">{{context.roll.defenseScore}}</span>
                            <img class="roll-message-token" src="systems/acariaempire/resources/interaction/tokens/defense_score.png">
                        </div>
                    </td>
                    <td>
                        <span class="canBeHidden">{{roll.successSteps}}</span>
                    </td>
                </tr>
                <tr>
                    <td style="width: 50%">{{localize 'AEDICES.chat.rollDetail.difficulty.initialTokens'}}</td>
                    <td style="width: 50%">{{localize 'AEDICES.chat.rollDetail.difficulty.risk'}}</td>
                </tr>
                <tr>
                    <td>
                        <div class="flexrow icon-line">
                            {{#each context.roll.balanceIcons as |icon|}}
                                <img class="roll-message-token" src="{{icon}}">
                            {{/each}}
                        </div>
                    </td>
                    <td>{{roll.risk}}</td>
                </tr>
            </table>

            <h3>{{localize 'AEDICES.chat.rollDetail.success.title'}}</h3>
            <table>
                <tr>
                    <td>{{localize 'AEDICES.chat.rollDetail.success.victoryPoints'}}</td>
                    <td>{{localize 'AEDICES.chat.rollDetail.success.failurePoints'}}</td>
                </tr>
                <tr>
                    <td>
                        <div class="flexrow icon-line">
                            {{#each roll.success_icons as |face|}}
                                <img class="roll-message-token" src="{{face}}">
                            {{/each}}
                        </div>
                    </td>
                    <td>
                        <div class="flexrow icon-line">
                            {{#each roll.failure_icons as |face|}}
                                <img class="roll-message-token" src="{{face}}">
                            {{/each}}
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>{{roll.success_value}}</td>
                    <td>{{roll.failure_value}}</td>
                </tr>
                {{#if roll.successHint.displayed}}
                <tr>
                    <td colspan="2">{{roll.successHint.label}}</td>
                </tr>
                {{/if}}
                <tr>
                    <td colspan="2">{{roll.successLabel}}</td>
                </tr>
            </table>


            <h3>{{localize 'AEDICES.chat.rollDetail.cards.title'}}</h3>
            <table>
                <tr>
                    <td colspan="2">{{localize 'AEDICES.chat.rollDetail.cards.faces'}}</td>
                </tr>
                <tr>
                    <td colspan="2">
                        <div class="flexrow icon-line">
                            {{#each roll.card_icons as |face|}}
                                <img class="roll-message-token" src="{{face}}">
                            {{/each}}
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>{{localize 'AEDICES.chat.rollDetail.cards.byActor'}}</td>
                    <td>{{localize 'AEDICES.chat.rollDetail.cards.byOpponent'}}</td>
                </tr>
                <tr>
                    <td>{{roll.cards_for_actor}}</td>
                    <td>{{roll.cards_for_opponent}}</td>
                </tr>
            </table>

            {{#if roll.displayPower}}
                <h3>{{localize 'AEDICES.chat.rollDetail.power.title'}}</h3>
                <table>
                    <tr>
                        <td>
                            <div class="flexrow icon-line">
                                {{#each roll.power_icons as |token|}}
                                    <li class="ae-roll"><img class="roll-message-token" src="{{token}}"></li>
                                {{/each}}
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>{{roll.powerDesc}}</td>
                    </tr>
                </table>
            {{/if}}
        </div>
    </div>

    <div class="flexrow roll-context"  style="display: none;">

        <!-- Final interaction score value -->
        <div class="flexcol context-part">
            <span class="context-header">{{context.roll.title}}</span>
            <div class="flexrow context-desc">
                <span class="context-text">{{context.roll.actorScore}}</span>
                <img class="token-icon" src="systems/acariaempire/resources/interaction/tokens/action_score.png">
                <span class="context-text">{{context.roll.defenseScore}}</span>
                <img class="token-icon" src="systems/acariaempire/resources/interaction/tokens/defense_score.png">
            </div>
        </div>
        {{#each context.actor.details as |line|}}
            <div class="flexcol context-part">
                <span class="flexrow context-header">{{{line.title}}}</span>
                {{#each line.details as |detail|}}
                    <span class="flexrow context-detail">{{{detail}}}</span>
                {{/each}}
            </div>
        {{/each}}

    </div>
</div>
